using System;
using UnityEditor.Experimental.GraphView;
using UnityEngine.UIElements;

namespace ImageProcessingGraph.Editor
{
    public class IPTPort : Port
    {
        protected IPTPort(Orientation portOrientation, Direction portDirection, Capacity portCapacity, Type type) : base(portOrientation, portDirection, portCapacity, type)
        {

        }
        
        public static IPTPort Create(IEdgeConnectorListener connectorListener, bool isInput, Type type)
        {
            var port = new IPTPort(Orientation.Horizontal, isInput ? Direction.Input : Direction.Output,
                Capacity.Multi, type)
            {
                m_EdgeConnector = new EdgeConnector<Edge>(connectorListener),
            };
            port.AddManipulator(port.m_EdgeConnector);
            return port;
        }
    }
}