﻿namespace ImageProcessingGraph.Editor
{
    [System.Serializable]
    public struct GraphConnection
    {
        public GraphPort inputPort;
        public GraphPort outputPort;

        public GraphConnection(GraphPort inputPort, GraphPort outputPort)
        {
            this.inputPort = inputPort;
            this.outputPort = outputPort;
        }

        public GraphConnection(string inputNodeGuid, int inputPortID, string inputNodeType, string outputNodeGuid, int outputPortID, string outputNodeType)
        {
            this.inputPort = new GraphPort(inputNodeGuid, inputPortID, inputNodeType);
            this.outputPort = new GraphPort(outputNodeGuid, outputPortID, outputNodeType);
        }
    }

    [System.Serializable]
    public struct GraphPort
    {
        public string nodeID;
        public string nodeType;
        public int portID;

        public GraphPort(string nodeID, int portID, string nodeType)
        {
            this.nodeID = nodeID;
            this.portID = portID;
            this.nodeType = nodeType;
        }
    }
}