﻿using ImageProcessingGraph.Editor.Nodes.NodeAttributes;
using Unity.Collections;
using UnityEditor;
using UnityEngine;

namespace ImageProcessingGraph.Editor.Nodes.Output
{
    [NodeInfo("Texture Export", "Export/Texture2D", true)]
    public class Texture2DOutput : BaseImageNode
    {
        [NodeAttributes.Input("")] public ImageData inputPixels;
        [NodeAttributes.Input("File Name")] public string fileName;
        [NodeAttributes.Input("File Path")] public string fileDirectory;

        public override void Process()
        {
            AssetDatabase.CreateAsset(inputPixels.ToTexture2D(), $"{fileDirectory}/{fileName}.asset");
        }
    }
}